# Recipient

## The RecipientInfo object

- [recipient/object.md](recipient/object.md)

## Endpoints

### Get a share recipient

- [GET /api/2.1/unity-catalog/recipients/{name}](get-recipient.md)

### List share recipients

- [GET /api/2.1/unity-catalog/recipients](list-recipients.md)

### Create a share recipient

- [POST /api/2.1/unity-catalog/recipients](create-recipient.md)

### Update a share recipient

- [PATCH /api/2.1/unity-catalog/recipients/{name_arg}](update-recipient.md)

### Delete a share recipient

- [DELETE /api/2.1/unity-catalog/recipients/{name}](delete-recipient.md)

### Rotate a token

- [POST /api/2.1/unity-catalog/recipients/{name}/rotate-token](rotate-recipient-token.md)

### Get recipient share permissions

- [GET /api/2.1/unity-catalog/recipients/{name}/share-permissions](list-recipient-share-permissions.md)

